Skip to main content
`Ctrl`+`K`

# PetscWeakFormRewriteKeys

Change any key on the given label to use the new set of label values

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscWeakFormRewriteKeys(PetscWeakForm wf, DMLabel label, PetscInt Nv, const PetscInt values[])

Not Collective

## Input Parameters

- wf - The original `PetscWeakForm`

- label - The label to change keys for

- Nv - The number of new label values

- values - The set of new values to relabel keys with

## Note

This is used internally when boundary label values are specified from the command line.

## See Also

`PetscWeakForm`, `DMLabel`, `PetscWeakFormReplaceLabel()`, `PetscWeakFormCreate()`, `PetscWeakFormDestroy()`

## Level

intermediate

## Location

src/dm/dt/interface/dtweakform.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages